<div class="dialog-wrapper">
    <mat-dialog-content>
        <div class="d-flex flex-column gap-3">
            <input #fileUpload hidden="true" type="file" accept=".xliff" (change)="xliffInputChange($event)">
            <h4>{{'TRANSLATION_IMPORT.IMPORT_TITLE' | translate }}</h4>
            <mat-label class="label">{{'TRANSLATION_IMPORT.IMPORT_DISCLAIMER' | translate }}</mat-label>
            <div class="d-flex flex-row gap-3 mt-2 ml-1" fxLayoutAlign="start center">
                <p class="file-name">{{(fileName || 'TRANSLATION_IMPORT.NO_FILE') | translate}}</p>
                <button mat-button color="accent" (click)="fileUpload.click()">
                    <span>{{ 'TRANSLATION_IMPORT.UPLOAD_FILE' | translate }}</span>
                    <mat-icon>attach_file</mat-icon>
                </button>
            </div>
        </div>
        <div *ngIf="this.showSizeWarning" class="warning d-flex">
            <mat-icon id="warning-icon">info</mat-icon>
            <span>{{ 'TRANSLATION_IMPORT.FILE_TOO_LARGE' | translate }} {{ this.maxAllowedFileSizeInMB + 'MB' }}</span>
        </div>
        <div *ngIf="this.showEmptyFileWarning" class="warning d-flex">
            <mat-icon id="warning-icon">info</mat-icon>
            <span>{{ 'TRANSLATION_IMPORT.FILE_IS_EMPTY' | translate }}</span>
        </div>
    </mat-dialog-content>
    <mat-dialog-actions class="d-flex flex-row action-button-container">
        <button mat-flat-button mat-dialog-close>{{ 'WIDGET.CANCEL' | translate }}</button>
        <button 
            mat-flat-button cdkFocusInitial color="accent"
            [disabled]="!this.fileName || this.showSizeWarning || this.showEmptyFileWarning"
            (click)="startImportProcess()"
        >
            {{ 'TRANSLATION_IMPORT.IMPORT' | translate }}
        </button>
    </mat-dialog-actions>
</div>